​

Update catalog value

PATCH
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values/{id}
Path parameters
NameTypeReference
property_idrequiredintegerCustomProperty ID
idrequiredintegerCatalogValue ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
condition
enum
[active,inactive]

Custom property catalog value condition

value
object

Contains pairs key: value, where the key is the uid of the catalog field, the value - value of this field

deleted
boolean

Custom property catalog value delete condition

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Catalog option id
custom_property_id

integer

Custom property id
value

object

Schema
Custom property catalog value
name

string

Custom property catalog value name
author_id

integer

Author id
updater_id

integer

Last updater id
condition

string

Custom property catalog value condition
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to update

{
  "value": {
    "3889a0a5-66de-4df3-9bd6-405e02eecfca": "Updated value"
  }
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!